Attribute VB_Name = "Module2"
Option Explicit

Private Const TestCount = 750

Private oFileManager As FileManager
Private oBinStream As BinaryStream
Private lFile As Long

Public Declare Function GetTickCount Lib "kernel32" () As Long

Public Sub Main()
Dim sBinStream As String
Dim oFile As File
Dim lFileLen As Long
Dim fmArray() As Byte
Dim vbArray() As Byte
Dim lCnt As Long
Dim bNotEqualFlag As Boolean
Dim fmTestResults() As Long
Dim vbTestResults() As Long
Dim lStartTime As Long
Dim lEndTime As Long
Dim lvbTotalTime As Long
Dim lfmTotalTime As Long

    Debug.Print "***" & vbCrLf & "Test Count: " & TestCount
        
    ReDim fmTestResults(TestCount - 1)
    
    For lCnt = 0 To TestCount - 1
    
        lStartTime = GetTickCount
        
        Set oFileManager = New FileManager
    
        Set oFile = oFileManager.GetFile("c:\temp\junk.gif")
    
        lFileLen = oFile.Size
    
        ReDim fmArray(lFileLen)

        Set oBinStream = oFileManager.OpenBinaryFile("c:\temp\junk.gif")
    
        fmArray() = oBinStream.ReadAll
        
        oBinStream.Close
        
        Set oFileManager = Nothing
        
        Set oFile = Nothing
        
        Set oBinStream = Nothing
        
        lEndTime = GetTickCount
        
        fmTestResults(lCnt) = lEndTime - lStartTime
                
    Next lCnt
    
    ReDim vbTestResults(TestCount - 1)
    
    For lCnt = 0 To TestCount - 1
    
        lStartTime = GetTickCount
    
        lFile = FreeFile()
    
        Open "c:\temp\junk.gif" For Binary Access Read As #lFile
    
        lFileLen = LOF(lFile)
    
        ReDim vbArray(lFileLen)
    
        vbArray() = InputB(lFileLen, #lFile)
        
        Close #lFile
        
        lEndTime = GetTickCount
        
        vbTestResults(lCnt) = lEndTime - lStartTime
    
    Next lCnt
    
    lfmTotalTime = 0
    lvbTotalTime = 0
        
    For lCnt = 0 To TestCount - 1
    
        lfmTotalTime = lfmTotalTime + fmTestResults(lCnt)
        lvbTotalTime = lvbTotalTime + vbTestResults(lCnt)
        
    Next lCnt
    
    Debug.Print "Binary file size: " & lFileLen & " bytes."
    
    Debug.Print "Average binary file read time for FM: " & (lfmTotalTime / TestCount) & " milliseconds."
    
    Debug.Print "Average binary file read time for VB: " & (lvbTotalTime / TestCount) & " milliseconds."
    
End Sub
