<%@ LANGUAGE="VBSCRIPT" %>

<% 
'--- Module: DIRWALK.ASP
'---
'--- Walk a directory (non-recursively) using SA-FileManager
'---
'--- Copyright (c) 1997, 1998, 1999 Software Artisans, Inc.
'--- Mail: info@softartisans.com   http://www.softartisans.com
Option Explicit
%>
<!--- #include file="vbFileManagerInclude.asp" --->
<HTML>
<HEAD>
<TITLE>Directory Walk Example</TITLE>
</HEAD>
<BODY BGCOLOR="#ffffff">
<H2><CENTER>SA-FileManager Simple Directory Walk Example</CENTER></H2>
<CENTER>
<TABLE WIDTH="80%" BORDER="1">
<%
Dim sDirectory
Dim oFM
Dim oFolder
Dim oSubFolders
Dim oSubFolder
Dim oFiles
Dim oFile
Dim sFont
Dim sEFont

'---
'--- Change these settings to customize this example
'---
sDirectory = "c:\temp"
sFont = "<FONT SIZE=""1"" FACE=""arial"">"
'---
'--- End of customized settings
'---
sEFont = "</FONT>"

Set oFM = Server.CreateObject( "SoftArtisans.FileManager" )

Set oFolder = oFM.GetFolder(sDirectory)


Response.write("<TR><TH COLSPAN=6>Directory: " & sDirectory & "</TH></TR>")

' Get the SubFolders
Set oSubFolders = oFolder.SubFolders
If oSubFolders.Count > 0 Then
    Response.Write("<TR><TH>Subdirectory Name</TH><TH>Short Name</TH><TH>Size</TH><TH>Type</TH><TH>Created</TH><TH>Last Modified</TH>")
	Response.Write("<TH>Last Accessed</TH><TH>Attributes</TH></TR>")
    For each oSubFolder in oSubFolders
        Response.Write ("<TR>")
        Response.Write ("<TD>" & sFont & oSubFolder.name & sEFont & "</TD>")
        Response.Write ("<TD>" & sFont & oSubFolder.ShortName & sEFont & "</TD>")
		'Note: Property Size on a folder is a very expensive operation
        Response.Write ("<TD>" & sFont & oSubFolder.Size & sEFont & "</TD>")
        Response.Write ("<TD>" & sFont & oSubFolder.Type & sEFont & "</TD>")
		Response.Write ("<TD>" & sFont & oSubFolder.DateCreated & sEFont & "</TD>")
		Response.Write ("<TD>" & sFont & oSubFolder.DateLastModified & sEFont & "</TD>")
		Response.Write ("<TD>" & sFont & oSubFolder.DateLastAccessed & sEFont & "</TD>")
        Response.Write ("<TD>" & sFont & AttributesToText(oSubFolder.Attributes) & sEFont & "&nbsp;</TD>")
        Response.Write ("</TR>" & vbCrLf)
    Next
Else
    Response.Write("<TR><TD COLSPAN=5>This directory does not contain any subdirectories.</TD></TR>" & vbCrLf)
End If
%>
</TABLE>
<br>
<TABLE WIDTH="80%" BORDER="1">
<%
Set oFiles = oFolder.Files
If oFiles.Count > 0 Then    
    Response.Write("<TR><TH>Name</TH><TH>Type</TH><TH>Size</TH><TH>Mime Type</TH><TH>Created</TH><TH>Last Modified</TH>")
	Response.Write("<TH>Last Accessed</TH><TH>Attributes</TH></TR>")
    For each oFile in oFiles
        Response.Write ("<TR>")
        Response.Write ("<TD>" & sFont & oFile.Name & sEFont & "</TD>")
        Response.Write ("<TD>" & sFont & oFile.Type & sEFont & "&nbsp;</TD>")
        Response.Write ("<TD ALIGN=RIGHT>" & sFont & oFile.Size & sEFont & "</TD>")
        Response.Write ("<TD>" & sFont & oFile.MimeType & sEFont & "&nbsp;</TD>")
        Response.Write ("<TD>" & sFont & oFile.DateCreated & sEFont & "&nbsp;</TD>")
        Response.Write ("<TD>" & sFont & oFile.DateLastModified & sEFont & "&nbsp;</TD>")
        Response.Write ("<TD>" & sFont & oFile.DateLastAccessed & sEFont & "&nbsp;</TD>")
        Response.Write ("<TD>" & sFont & AttributesToText(oFile.Attributes) & sEFont & "&nbsp;</TD>")
        Response.Write ("</TR>" & vbCrLf)
    Next
Else
    Response.Write("<TR><TD COLSPAN=5>This directory does not contain any files.</TD></TR>")
End If
%>
</CENTER>
</TABLE>
</BODY>
</HTML>