VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "SA-FileManager Examples"
   ClientHeight    =   6270
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5085
   LinkTopic       =   "Form1"
   ScaleHeight     =   6270
   ScaleWidth      =   5085
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Folder 
      Caption         =   "Folder"
      Height          =   375
      Left            =   240
      TabIndex        =   18
      Top             =   4080
      Width           =   2055
   End
   Begin VB.CommandButton FolderSize 
      Caption         =   "FolderSize"
      Height          =   375
      Left            =   240
      TabIndex        =   10
      Top             =   4560
      Width           =   2055
   End
   Begin VB.CommandButton Encrypt 
      Caption         =   "Encrypt/Decrypt Files"
      Height          =   375
      Left            =   240
      TabIndex        =   16
      Top             =   1920
      Width           =   2055
   End
   Begin VB.CommandButton ShareName 
      Caption         =   "ShareName"
      Height          =   375
      Left            =   2400
      TabIndex        =   15
      Top             =   3360
      Width           =   2055
   End
   Begin VB.CommandButton CreateUnicode 
      Caption         =   "CreateUnicode"
      Height          =   375
      Left            =   240
      TabIndex        =   14
      Top             =   5640
      Width           =   2055
   End
   Begin VB.CommandButton CreateTextFile 
      Caption         =   "CreateTextFile"
      Height          =   375
      Left            =   240
      TabIndex        =   13
      Top             =   5160
      Width           =   2055
   End
   Begin VB.CommandButton GetSpecialFolder 
      Caption         =   "GetSpecialFolder"
      Height          =   375
      Left            =   2400
      TabIndex        =   12
      Top             =   2400
      Width           =   2055
   End
   Begin VB.CommandButton GetDrive 
      Caption         =   "GetDrive"
      Height          =   375
      Left            =   240
      TabIndex        =   11
      Top             =   3360
      Width           =   2055
   End
   Begin VB.CommandButton DriveExists 
      Caption         =   "DriveExists"
      Height          =   375
      Left            =   240
      TabIndex        =   9
      Top             =   960
      Width           =   2055
   End
   Begin VB.CommandButton GetTempName 
      Caption         =   "GetTempName"
      Height          =   375
      Left            =   2400
      TabIndex        =   8
      Top             =   2880
      Width           =   2055
   End
   Begin VB.CommandButton GetAbsolutePathName 
      Caption         =   "GetAbsolutePathName"
      Height          =   375
      Left            =   240
      TabIndex        =   7
      Top             =   2400
      Width           =   2055
   End
   Begin VB.CommandButton GetExtensionName 
      Caption         =   "GetExtensionName"
      Height          =   375
      Left            =   2400
      TabIndex        =   6
      Top             =   960
      Width           =   2055
   End
   Begin VB.CommandButton GetBaseName 
      Caption         =   "GetBaseName"
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   2880
      Width           =   2055
   End
   Begin VB.CommandButton GetFileName 
      Caption         =   "GetFileName"
      Height          =   375
      Left            =   2400
      TabIndex        =   4
      Top             =   1440
      Width           =   2055
   End
   Begin VB.CommandButton GetParentFolderName 
      Caption         =   "GetParentFolderName"
      Height          =   375
      Left            =   2400
      TabIndex        =   3
      Top             =   1920
      Width           =   2055
   End
   Begin VB.CommandButton GetDriveName 
      Caption         =   "GetDriveName"
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   480
      Width           =   2055
   End
   Begin VB.CommandButton BuildPath 
      Caption         =   "BuildPath"
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   480
      Width           =   2055
   End
   Begin VB.CommandButton Drives 
      Caption         =   "Drives"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   1440
      Width           =   2055
   End
   Begin VB.Frame Frame1 
      Caption         =   "File Manager Methods and Properties"
      Height          =   3735
      Left            =   120
      TabIndex        =   17
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub BuildPath_Click()
    Dim SAFileMgrObj As FileManager

    Set SAFileMgrObj = New FileManager

    MsgBox SAFileMgrObj.BuildPath("c:\", "test.doc"), , "BuildPath"
    MsgBox SAFileMgrObj.BuildPath("c:", "\test.doc"), , "BuildPath"
    MsgBox SAFileMgrObj.BuildPath("c:\", "\test.doc"), , "BuildPath"
    MsgBox SAFileMgrObj.BuildPath("c:", "test.doc"), , "BuildPath"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub CreateTextFile_Click()
    Dim SAFileMgrObj As FileManager
    Dim tf As TextStream

    Set SAFileMgrObj = New FileManager
    
    Set tf = SAFileMgrObj.CreateTextFile("C:\temp\filemgrcreate.txt")
    
    tf.WriteBlankLines 2
    tf.WriteLine ("Test ASCII file.")
    tf.Close
      
    MsgBox "Text File Created.", , "CreateTextFile"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub CreateUnicode_Click()
    Dim SAFileMgrObj As FileManager
    Dim FileName As String
    Dim tf As TextStream

    Set SAFileMgrObj = New FileManager
  
    FileName = "c:\temp\testunicode.txt"
    
    Set tf = SAFileMgrObj.CreateTextFile(FileName, True, True)
    tf.WriteLine ("This is a test.")
    tf.Write ("Testing Write")
    tf.Close

    Set tf = SAFileMgrObj.OpenTextFile(FileName, 1, False, -1)
    MsgBox tf.Read(3), , "CreateUnicode"
    MsgBox tf.ReadLine, , "CreateUnicode"
    tf.Skip 3
    MsgBox tf.Read(4), , "CreateUnicode"
    MsgBox tf.ReadLine, , "CreateUnicode"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub DriveExists_Click()
    Dim SAFileMgrObj As FileManager

    Set SAFileMgrObj = New FileManager
   
    MsgBox SAFileMgrObj.DriveExists("c:"), , "Does the drive exist?"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub Drives_Click()
    Dim SAFileMgrObj As FileManager
    Dim pDrives As Drives
    Dim drive As drive

    Set SAFileMgrObj = New FileManager
   
    Set pDrives = SAFileMgrObj.Drives
    
    MsgBox "Total Size on C: " & pDrives("C:\").TotalSize, , "Drives"
    MsgBox "Available Space on C: " & pDrives("C:\").AvailableSpace, , "Drives"
    MsgBox "Free Space on C: " & pDrives("C:\").FreeSpace, , "Drives"
    
    MsgBox "Following is list of drives on system.", , "Drives"
    
    For Each drive In pDrives
        MsgBox drive, , "Drives"
    Next

    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub Encrypt_Click()
    Dim SAFileMgrObj As FileManager
    Dim tf As TextStream
    Dim InFileName As String
    Dim EncryptedFileName As String
    Dim DecryptedFileName As String

    Set SAFileMgrObj = New FileManager
 
    InFileName = "c:\temp\testencrypt.txt"
    EncryptedFileName = "c:\temp\nowencrypted.txt"
    DecryptedFileName = "c:\temp\nowdecrypted.txt"
    
    Set tf = SAFileMgrObj.CreateTextFile(InFileName)
    tf.WriteLine ("This is a test.")
    tf.Write ("Testing Encryption")
    tf.Close
    
    SAFileMgrObj.EncryptFile InFileName, EncryptedFileName, "Testpwd"
    SAFileMgrObj.DecryptFile EncryptedFileName, DecryptedFileName, "Testpwd"
    
    MsgBox "File Encrypted and Decrypted"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub Folder_Click()
    Dim SAFileMgrObj As FileManager
    Dim fmf As Folder
    Dim foldername As String
    Dim folderCopyName As String
    
    Set SAFileMgrObj = New FileManager
    
    foldername = "c:\temp\testfolder"
    folderCopyName = "c:\temp\testcopyfolder"
    
    Set fmf = SAFileMgrObj.CreateFolder(foldername)
    MsgBox "Folder """ & foldername & """ created.", , "Folder"
    
    SAFileMgrObj.CopyFolder foldername, folderCopyName, True
    MsgBox "Folder Copied to  """ & folderCopyName & """.", , "Folder"
    
    SAFileMgrObj.DeleteFolder foldername, True
    MsgBox "Folder Deleted  """ & foldername & """.", , "Folder"
    
    SAFileMgrObj.MoveFolder folderCopyName, foldername
    MsgBox "Moved Folder """ & folderCopyName & """ back to """ & foldername & """.", , "Folder"
    
    Set SAFileMgrObj = Nothing

End Sub
Private Sub FolderSize_Click()
    Dim SAFileMgrObj As FileManager
    Dim folderObj As Folder

    Set SAFileMgrObj = New FileManager
   
    Set folderObj = SAFileMgrObj.GetFolder("c:\temp")
    MsgBox "Sizeof c:\temp :" & folderObj.Size, , "FolderSize"
    
    Set SAFileMgrObj = Nothing
    
End Sub

Private Sub GetAbsolutePathName_Click()
    Dim SAFileMgrObj As FileManager
    
    Set SAFileMgrObj = New FileManager
    
    MsgBox "AbsolutePathName: " & SAFileMgrObj.GetAbsolutePathName("c:\temp\.."), , "GetAbsolutePathName"
    
    Set SAFileMgrObj = Nothing

End Sub

Private Sub GetBaseName_Click()
    Dim SAFileMgrObj As FileManager

    Set SAFileMgrObj = New FileManager
    
    MsgBox SAFileMgrObj.GetBaseName("c:\temp"), , "GetBaseName"
    
    Set SAFileMgrObj = Nothing
    
End Sub

Private Sub GetDrive_Click()
    Dim SAFileMgrObj As FileManager
    Dim fmdrive As drive

    Set SAFileMgrObj = New FileManager

    Set fmdrive = SAFileMgrObj.GetDrive("c:")
  
    MsgBox fmdrive.IsReady, , "Is Drive Ready?"
    
    Set SAFileMgrObj = Nothing

End Sub

Private Sub GetDriveName_Click()
   Dim SAFileMgrObj As FileManager
   
   Set SAFileMgrObj = New FileManager

   MsgBox SAFileMgrObj.GetDriveName("c:\temp"), , "GetDriveName"
   
   Set SAFileMgrObj = Nothing

End Sub

Private Sub GetExtensionName_Click()
    Dim SAFileMgrObj As FileManager
   
    Set SAFileMgrObj = New FileManager
    
    MsgBox SAFileMgrObj.GetExtensionName("c:\autoexec.bat"), , "GetExtentionName"
    
    Set SAFileMgrObj = Nothing

End Sub

Private Sub GetFileName_Click()
    Dim SAFileMgrObj As FileManager
   
    Set SAFileMgrObj = New FileManager

    MsgBox SAFileMgrObj.GetFileName("c:\autoexec.bat"), , "GetFileName"
    
    Set SAFileMgrObj = Nothing

End Sub

Private Sub GetParentFolderName_Click()
    Dim SAFileMgrObj As FileManager
   
    Set SAFileMgrObj = New FileManager

    MsgBox SAFileMgrObj.GetParentFolderName("c:\temp"), , "GetParentFolder"
    
    Set SAFileMgrObj = Nothing

End Sub

Private Sub GetSpecialFolder_Click()
    Dim SAFileMgrObj As FileManager
    Dim fmf As Folder
   
    Set SAFileMgrObj = New FileManager

    Set fmf = SAFileMgrObj.GetSpecialFolder(WindowsFolder)
    
    MsgBox fmf.Path
    
    Set SAFileMgrObj = Nothing
 
End Sub

Private Sub GetTempName_Click()
    Dim SAFileMgrObj As FileManager
   
    Set SAFileMgrObj = New FileManager

    MsgBox SAFileMgrObj.GetTempName, , "GetTempName"
    
    Set SAFileMgrObj = Nothing
    
End Sub
Private Sub ShareName_Click()
    Dim SAFileMgrObj As FileManager
    Dim drive As drive
   
    Set SAFileMgrObj = New FileManager
    
    ' Replace drive letter with a mapped network drive
    Set drive = SAFileMgrObj.GetDrive("c:")
   
    MsgBox drive.ShareName, , "ShareName"
    
    Set SAFileMgrObj = Nothing
  
End Sub


