<%@ LANGUAGE="VBSCRIPT" %>
<% 
'--- Module: ENCRYPT.ASP
'---
'--- Simple example showing how to encrypt a file.
'---
'--- Copyright (c) 1999, Software Artisans, Inc.
'--- Mail: info@softartisans.com   http://www.softartisans.com

	Option Explicit

	Dim oFM
	Dim InFilename
	Dim OutFilename
	Dim Password
	Dim filepath

%>
<HTML>
<HEAD>
<TITLE>SA-FileManager Encrypting a File Example</TITLE>
</HEAD>
<BODY BGCOLOR="#ffffff">
<H2><CENTER>SA-FileManager Encrypting a File Example</CENTER></H2>

This ASP script will Encrypt a file.<br>

<%
	
	'
	' Instanciate the FileManager object
	'
	Set oFM = Server.CreateObject("SoftArtisans.FileManager")
	
	Response.Write oFM.CurrentUser & "<BR>"
	'--- 
	'--- Here is the name of the file we want to encrypt. This assumes that the file
	'--- is in the same directory as this ASP script. This is not essential: it can be anywhere on the
	'--- server.
	'---
	filepath = Request.ServerVariables("PATH_TRANSLATED") '--- will show physical path (c:\program files\...\simple_new_down.asp)
	filepath = Left(filepath, InstrRev(filepath, "\"))    '--- Strip off name of ASP file, leaving only directory path

	InFilename	= filepath & "sample.doc"
	OutFilename = filepath & "sample.enc"

	Password = "this is a long password"
	
	Response.Write ("Input is :" + InFilename + "<br>Output is :" + OutFilename + "<br>")
	
	'--- SA-FileManager supports TwoFish Encryption Algorithm by Counterpane Systems. 
	'--- This can encrypt data in a 128-bit block using 128-, 192-, or 256-bit key.
	'--- For more information, check out http://www.counterpane.com/twofish.html 
	
	'--- EncryptFile(InFile, OutFile, Password, [CryptType])
	'---	InFile:		Original File to be encrypted
	'---	OutFile:	Encrypted file
	'---	Password:	Password to be used to decrypt file
	'---	CryptType:	1 for RSA(default), 2 for Twofish
	'--- 
	'--- For this example, Twofish Encryption will be used.
	
	oFM.EncryptFile InFilename, OutFilename, Password, 2

%>

</BODY>
</HTML>
