<%@ LANGUAGE="VBSCRIPT" %>
<% 
	'--- Module: FilePerms.ASP
	'--- 
	'--- Display Permission information using SA-FileManager
	'---
	'--- Copyright (c) 1997 - 2000 Software Artisans, Inc.
	'--- Mail: info@softartisans.com   http://www.softartisans.com
	
	'---
	'--- force authentication
	'---
if request("LOGON_USER") = "" then
	response.status = "401 Access Denined"
	response.end
end if



%>
<HTML>
<HEAD>
<TITLE>Display Permissions Example</TITLE>
</HEAD>
<BODY>
<%
	Dim file, folder, pF, pFi
	
	'---
	'--- Create a FileManager object
	'---
	set oFM = Server.CreateObject("SoftArtisans.FileManager")
     '--- get a file and folder name
    file = request("PATH_TRANSLATED")
    folder = Replace(file,mid(file,instrrev(file,"\")+1),"")
   
	
	
	'--- You can also give a valid filename and folder here
    set oFold = oFM.GetFolder(folder)
    set oPermCollFold = oFold.Permissions
    
    set oF = oFM.GetFile(file)
    set oPermColl = oF.Permissions
    
%>

<Center><h1>Display Permissions Example</h1>
This example displays the ACLs of this ASP file. <BR>The Access Rights are shown as well as the type of rights (File and Folder).<BR> A condition is used determine if the privilege is true for the trustee shown.

<h3>Permissions for <% = folder %></h3>
    <table cellpadding="3" border="2">
    <th>Trustee</th>
    <th>RightsType</th>
    <th>AccessRights</th>
    <th>NoAccess</th>
    <th>Read</th>
    <th>Write</th>
    <th>Execute</th>
    <th>Delete</th>
    <th>Permissions</th>
    <th>Ownership</th>
    </tr>
<%
    for each pF in oPermCollFold
        rowstart
        cell pF.trustee
        celltype pF.RightsType
        cell     pF.AccessRights
        cellbool pF.noaccess
        cellbool pF.read
        cellbool pF.write
        cellbool pF.execute
        cellbool pF.delete
        cellbool pF.Permissions
        cellbool pF.ownership
        endrow
    next
%>
</table>

    <h3>Permissions for <% = file %></h3>
    <table cellpadding="3" border="2">
    <th>Trustee</th>
    <th>RightsType</th>
    <th>AccessRights</th>
    <th>NoAccess</th>
    <th>Read</th>
    <th>Write</th>
    <th>Execute</th>
    <th>Delete</th>
    <th>Permissions</th>
    <th>Ownership</th>
    </tr>
<%
    for each pFi in oPermColl
        rowstart
        cell pFi.trustee
        celltype pFi.RightsType
        cell     pFi.AccessRights
        cellbool pFi.noaccess
        cellbool pFi.read
        cellbool pFi.write
        cellbool pFi.execute
        cellbool pFi.delete
        cellbool pFi.Permissions
        cellbool pFi.ownership
        endrow
    next

sub rowstart()
	response.write "<TR>"
end sub

sub cell(txt)
	if txt = "" then txt ="&nbsp;"
	response.write "<TD>" & txt & "</td>" & chr(10)
end sub

sub celltype(rType)
    if rType = 2 then ' (Directory Permissions)
        response.write "<TD><center>Directory</center></td>"
    else
        response.write "<TD><center>File</center></td>"
    end if
end sub

sub cellbool(f)
	response.write "<TD><center>"
	if f then
		response.write "<img src=""check.gif"">"
	else
		response.write "&nbsp;"
	end if
	response.write "</center></td>"
end sub

sub endrow()
	response.write "</tr>"
end sub
%>

</Table>
</Center>

</Body>
</HTML>

